package com.blamejared.compat.botania.lexicon.pages;

import vazkii.botania.api.lexicon.LexiconPage;
import vazkii.botania.api.lexicon.LexiconEntry;
import vazkii.botania.common.lexicon.page.PageLoreText;
import crafttweaker.CraftTweakerAPI;
import com.blamejared.compat.botania.BotaniaHelper;
import crafttweaker.IAction;

public class AddPageLore implements IAction
{
    private String name;
    private String entry;
    private int page_number;
    
    public AddPageLore(final String name, final String entry, final int page_number) {
        this.name = name;
        this.entry = entry;
        this.page_number = page_number;
    }
    
    public void apply() {
        final LexiconEntry lexiconEntry = BotaniaHelper.findEntry(this.entry);
        if (lexiconEntry == null) {
            CraftTweakerAPI.getLogger().logError("Cannot find lexicon entry " + this.entry);
            return;
        }
        if (this.page_number > lexiconEntry.pages.size()) {
            CraftTweakerAPI.getLogger().logError("Page Number " + this.page_number + " out of bounds for " + this.entry);
            return;
        }
        final LexiconPage page = (LexiconPage)new PageLoreText(this.name);
        lexiconEntry.pages.add(this.page_number, page);
    }
    
    public String describe() {
        return "Adding Lexicon Page: " + this.name;
    }
}
